
import com.imsl.chart.*;
import java.awt.Color;

public class ScatterEx1 extends javax.swing.JApplet {

    private JPanelChart panel;

    public void init() {
        Chart chart = new Chart(this);
        panel = new JPanelChart(chart);
        getContentPane().add(panel, java.awt.BorderLayout.CENTER);
        setup(chart);
    }

    static private void setup(Chart chart) {
        AxisXY axis = new AxisXY(chart);

        int npoints = 20;
        double dx = .5 * Math.PI / (npoints - 1);
        double x[] = new double[npoints];
        double y1[] = new double[npoints];
        double y2[] = new double[npoints];
        double y3[] = new double[npoints];

        //	Generate some data
        for (int i = 0; i < npoints; i++) {
            x[i] = i * dx;
            y1[i] = Math.sin(x[i]);
            y2[i] = Math.cos(x[i]);
            y3[i] = Math.atan(x[i]);
        }
        Data d1 = new Data(axis, x, y1);
        Data d2 = new Data(axis, x, y2);
        Data d3 = new Data(axis, x, y3);

        //	Set Data Type to Marker
        d1.setDataType(Data.DATA_TYPE_MARKER);
        d2.setDataType(Data.DATA_TYPE_MARKER);
        d3.setDataType(Data.DATA_TYPE_MARKER);

        //	Set Marker Types
        d1.setMarkerType(Data.MARKER_TYPE_CIRCLE_PLUS);
        d2.setMarkerType(Data.MARKER_TYPE_HOLLOW_SQUARE);
        d3.setMarkerType(Data.MARKER_TYPE_ASTERISK);

        //	Set Marker Colors
        d1.setMarkerColor(Color.red);
        d2.setMarkerColor(Color.black);
        d3.setMarkerColor(Color.blue);

        //	Set Data Labels
        d1.setTitle("Sine");
        d2.setTitle("Cosine");
        d3.setTitle("ArcTangent");

        //	Add a Legend
        Legend legend = chart.getLegend();
        legend.setTitle(new Text("Legend"));
        legend.setPaint(true);

        //	Set the Chart Title
        chart.getChartTitle().setTitle("Scatter Plot");

    }

    public static void main(String argv[]) {
        JFrameChart frame = new JFrameChart();
        ScatterEx1.setup(frame.getChart());
        frame.setVisible(true);
    }
}
